<?php 
session_start();
if (!$_SESSION['login']) {header("Location: index.php");}
require_once('utilesphp/sql_oop.php'); //conexion a base de datos
include('utilesphp/utiles.php');
include('class/class.php');

$filtro='';
if ($_GET['filtrocliente']=="0") {
	$_SESSION['filtrocliente']="";
} else {
	if ($_GET['filtrocliente']<>""){
		$_SESSION['filtrocliente']=$_GET['filtrocliente'];
		$filtro.=' AND Idcliente="'.$_SESSION['filtrocliente'].'" ';
	} else {
		if ($_SESSION['filtrocliente']<>""){$filtro.=' AND Idcliente="'.$_SESSION['filtrocliente'].'" ';}
	}		
}
if ($_GET['filtropagada']<>""){
	$_SESSION['filtropagada']=$_GET['filtropagada'];
	$filtro.=' AND pagada="'.$_SESSION['filtropagada'].'" ';
} else {
	if ($_SESSION['filtropagada']<>""){$filtro.=' AND pagada="'.$_SESSION['filtropagada'].'" ';}
}
$filtropagada=$_SESSION['filtropagada'];


if (isset($_GET['modifica']) AND ($_GET['modifica']=='si') AND isset($_GET['Idventa']) AND ($_GET['Idventa']<>'')) {
	if (isset($_GET['name']) AND ($_GET['name']<>'') AND isset($_GET['value']) AND ($_GET['value']<>'')) {
		$updt=$mysqli->query('UPDATE ventas SET '.$_GET['name'].'="'.$_GET['value'].'" WHERE Idventa="'.$_GET['Idventa'].'"');
		$informacion='Dato del insumo '.$_GET['codigo'].' ha sido actualizado';
	}
}
if (isset($_GET['a']) AND ($_GET['a']=='a') AND isset($_GET['Idventa']) AND ($_GET['Idventa']<>'') AND ($admin)) {
	$updt=$mysqli->query('UPDATE ventas SET nula="si" WHERE Idventa="'.$_GET['Idventa'].'" AND tipodoc="'.$_GET['tipodoc'].'" AND ndoc="'.$_GET['ndoc'].'" LIMIT 1');
	$informacion='Compra '.$_GET['tipodoc'].' Nro. '.$_GET['ndoc'].' ha sido anulada';
}
if (isset($_GET['e']) AND ($_GET['e']=='e') AND isset($_GET['Idventa']) AND ($_GET['Idventa']<>'') AND ($admin)) {
	$updt=$mysqli->query('DELETE FROM ventas WHERE Idventa="'.$_GET['Idventa'].'" AND tipodoc="'.$_GET['tipodoc'].'" AND ndoc="'.$_GET['ndoc'].'" LIMIT 1');
	$informacion='Compra '.$_GET['tipodoc'].' Nro. '.$_GET['ndoc'].' ha sido eliminada';
}
if (isset($_GET['r']) AND ($_GET['r']=='r') AND isset($_GET['Idventa']) AND ($_GET['Idventa']<>'') AND ($admin)) {
	$updt=$mysqli->query('UPDATE ventas SET nula="no" WHERE Idventa="'.$_GET['Idventa'].'" AND tipodoc="'.$_GET['tipodoc'].'" AND ndoc="'.$_GET['ndoc'].'" LIMIT 1');
	$informacion='Compra '.$_GET['tipodoc'].' Nro. '.$_GET['ndoc'].' ha sido anulada';
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<link rel="stylesheet" type="text/css" href="css/estilos.css">
<title><?php echo $titulopagina; ?></title>
</head>
<script type="text/javascript" src="ajax/creaajax.js"> </script>
<script type="text/javascript" src="utilesjs/funciones.js" charset="iso-8859-1"> </script>
<script language="javascript">
function modificardato(codigo,name,value) {
	if (newvalue=prompt('Por favor ingresa un(a) nuevo(a) '+name,value)) {
		grabando();
		location.href='movimientos-ventas.php?modifica=si&codigo='+codigo+'&name='+name+'&value='+newvalue;
	} else {return;}
}
function eliminarsalida(Idventa, tipodoc, ndoc, cliente) {
	if (confirm('Realmente quieres eliminar '+tipodoc+' nro '+ndoc+' de '+cliente+'?')) {
		grabando();
		location.href='movimientos-ventas.php?tipodoc='+tipodoc+'&ndoc='+ndoc+'&e=e&Idventa='+Idventa;}
}
function anularsalida(Idventa, tipodoc, ndoc, cliente) {
	if (confirm('Realmente quieres anular '+tipodoc+' nro '+ndoc+' de '+cliente+'?')) {
		grabando();
		location.href='movimientos-ventas.php?tipodoc='+tipodoc+'&ndoc='+ndoc+'&a=a&Idventa='+Idventa;}
}
function revalidarsalida(Idventa, tipodoc, ndoc, cliente) {
	if (confirm('Realmente quieres revalidar '+tipodoc+' nro '+ndoc+' de '+cliente+'?')) {
		grabando();
		location.href='movimientos-ventas.php?tipodoc='+tipodoc+'&ndoc='+ndoc+'&r=r&Idventa='+Idventa;}
}
function calculartotal(){
	document.forms.formagrega.totalventa.value=parseInt(document.forms.formagrega.netoventa.value)+parseInt(document.forms.formagrega.impuestoventa.value);
}
function obtenercreditodisponible(Idcliente) {
	document.getElementById('formadepago').innerHTML='';
	document.getElementById('creditodisponible').value='cargando credito disponible...';
	ajax=objetoAjax();
   	ajax.open("POST","ajax/obtenercreditodisponiblecliente.php" , true);
   	ajax.onreadystatechange= function() {
      if (ajax.readyState==4) {
		  if (ajax.responseText!='') {
			creditodisponible=parseInt(ajax.responseText);
			document.getElementById('creditodisponible').innerHTML='$ '+formatomiles(creditodisponible,0);
			if (creditodisponible<1) {
				document.getElementById('formadepago').innerHTML='<select name="formapago"><?php echo $optionformadepago; ?></select>';
			} else {
				document.getElementById('formadepago').innerHTML='<select name="formapago"><?php echo $optionformadepago; ?><option value="credito">credito</option></select>';
			}
		  }
	  }
  }
 	ajax.setRequestHeader("Content-Type","application/x-www-form-urlencoded");
    ajax.send("Idcliente="+Idcliente);
}

</script>
<body>
<div class="div_cubierto" id="cubierto" style=" <?php echo ($_GET['i']=='i')? 'display:block' : 'display:none'; ?> " ></div>
<div class="div_cargando" id="cargando"></div>

<div class="logo"><img src="grafica/logo.png" /></div>
<div class="btn_cerrar"><a href="salidausuario.php" title="salir del sistema"><img src="iconos/salir48.png" /></a></div>

<div class="n_agreganuevo" style=" <?php echo ($_GET['i']=='i')? 'display:block' : 'display:none'; ?>" id="formagrega">
<form name="formagrega" action="funcionesphp/agregarventa.php" method="get">
<input type="hidden" name="sucursal" value="<?php echo $_SESSION['sucursal']; ?>"/>
    <div class="bold" id="datoamodificar" style="padding:10px; text-align:center">Ingresar nueva venta</div>
    <table cellpadding="0px" cellspacing="0px" width="100%">
    	<tr>
        	<td colspan="2" height="15px"></td>
        </tr>
	   	<tr>
        	<td nowrap="nowrap">Fecha</td>
        	<td ><input type="text" name="dia" value="<?php echo date("d"); ?>" placeholder="dia" class="superangosto"/> / <input type="text" name="mes" value="<?php echo date("m"); ?>" placeholder="mes" class="superangosto"/> / <input type="text" name="anno" placeholder="a&ntilde;o" value="<?php echo date("Y"); ?>" class="angosto"/></td>
        </tr>
    	<tr>
        	<td nowrap="nowrap">Tipo de documento</td>
        	<td >
            <select name="tipodoc" class="anchomedio"/>
                <option value="guia">Guia de despacho</option>
            	<option value="boleta">Boleta</option>
                <option value="sin documento">Sin documento</option>
            </select>
            </td>
        </tr>
    	<tr>
        	<td nowrap="nowrap">Nro. de documento</td>
        	<td ><input type="text" name="ndoc" value="0" class="angosto"/></td>
        </tr>
    	<tr>
        	<td nowrap="nowrap">Cliente</td>
        	<td ><select name="Idcliente" onchange="obtenercreditodisponible(this.value);"><?php echo optionclientes($mysqli); ?></select></td>
        </tr>
    	<tr>
        	<td nowrap="nowrap">Credito disponible</td>
        	<td id="creditodisponible"></td>
        </tr>
    	<tr>
        	<td nowrap="nowrap">Forma de pago</td>
        	<td id="formadepago"></td>
        </tr>
    	<tr>
        	<td colspan="2" height="15px"></td>
        </tr>
    	<tr>
        	<td colspan="2"><div align="center" id="grabarnuevoproducto">
    		<a href="#" onclick="javascript:grabando();document.forms.formagrega.submit();"><img src="iconos/guardar32.png" border="0px" title="grabar venta"/></a>&nbsp;&nbsp;&nbsp;
    		<a href="#" onclick="javascript:descubrirtodo();document.getElementById('formagrega').style.display='none'"><img src="iconos/cerrar32.png" border="0px" title="salir sin cambios"/></a>
            </div>
            </td>
        </tr>
    	<tr>
        	<td colspan="2" height="15px">
            </td>
        </tr>
    </table>
</form>
</div>

<div class="div_caja_titulo">
	<span class="bold">Guias de despacho sin facturar</span>
    <span class="iconos-holder"><a href="#" onclick="cargando(); location.href='menu-matriz.php'" class="n_link_basico" title="Volver al menu principal"><img src="iconos/home32.png" height="24"/></a></span>
    <span class="iconos-holder"><a href="#" onclick="cubrirtodo(); document.getElementById('formagrega').style.display='block';" class="n_link_basico" title="Agregar venta"><img src="iconos/agregar32.png" /></a></span>
    <span class="iconos-holder"><a href="#" onclick="window.print();" class="n_link_basico" title="Imprimir listado"><img src="iconos/imprimir32.png" /></a></span>    
</div>

<div class="centrar_tabla">
<form action="movimientos-facturar-guias.php" method="get" name="filtrarcliente">
<span class="tips">Se muestran las guias sin facturar de <select name="filtrocliente" onchange="cargando(); submit();"><option value="0">Todos los clientes</option><?php echo optionclientes($mysqli,$_SESSION['filtrocliente']); ?></select> - <input type="radio" name="filtropagada" onchange="cargando(); submit();" value="si" <?php echo ($filtropagada=="si")? 'checked="checked"':''; ?>/>pagadas 
<input type="radio" name="filtropagada" onchange="cargando(); submit();" value="no" <?php echo ($filtropagada=="no")? 'checked="checked"':''; ?>/>no pagadas </span><br /><br />
<span class="tips">Selecciona un cliente y forma de pago, chequea las guias que quieres facturar, y haz click en la flecha verde abajo</span>
</form>
<form name="facturacion" method="post" action="movimientos-facturar-guias-paso2.php">
	<table>
    <thead>
	   	<tr>
        	<th>Fecha</th>
            <th>Tipo documento</th>
            <th>Nro documento</th>
            <th>Cliente</th>
            <th>Total</th>
            <th>A facturar</th>
            <th>N&deg; factura</th>
            <th>Pagada</th>
            <th>Forma de pago</th>
            <th>Fecha de pago</th>
            <th>Seleccion</th>
        </tr>
     </thead>
     <tbody>
<?php
$salidas=$mysqli->query('SELECT * FROM ventas WHERE tipodoc="guia" AND nula="no" AND Idfactura="0" '.$filtro.' ORDER BY fecha DESC');
$row=$salidas->fetch_array();
if ($salidas->num_rows==0) {
?>
	<tr><td colspan="10">No existen ventas</td></tr>
<?php
} else { 
do {
	$Idventa=$row['Idventa'];
	$estaventa=new venta($mysqli,$Idventa);
	$estecliente=new cliente($mysqli,$row['Idcliente']);
?>
        <tr style="border-top:1px solid #999; <?php echo ($row['nula']=="si")? 'color:#999;':''; ?>">
        	<td><?php echo afecha($estaventa->fecha); ?></td>
            <td><?php echo $estaventa->tipodoc; ?></td>
            <td><?php echo $estaventa->ndoc; ?></td>
            <td><?php echo $estecliente->rut.' / '.$estecliente->razon; ?></td>
            <td><?php echo ($row['nula']=="si")? 'nula' :'$ '.apesos($estaventa->totalventa()); ?></td>
            <td><?php echo ($row['nula']=="si")? 'nula' :'$ '.apesos($estaventa->totalafacturar()); ?></td>
			<td><?php if ($row['nula']=="no") {if ($estaventa->tipodoc=="guia") {if ($estaventa->Idfactura!="0") {echo $estaventa->Idfactura;} else {echo 's/f';}} else {echo 'n/a';}} ?></td>
            <td><?php echo ($row['nula']=="si")? '' :$row['pagada']; ?></td>
            <td><?php echo $row['formapago']; ?></td>
            <td><?php echo afecha($row['fechapago']); ?></td>
          	<?php 
			if ($_SESSION['filtrocliente']<>"" AND $filtropagada<>"") { ?>
            	<td><?php if ($admin) { ?><input type="checkbox" name="Idguias[]" value="<?php echo $estaventa->Idventa; ?>" id="<?php echo $estaventa->Idventa; ?>"><?php } ?></td>
            <?php } else {?>
            	<td></td>
            <?php } ?>
        </tr>
<?php
} while ($row=$salidas->fetch_array());
}
if ($salidas) {
    $salidas->free();
}
?>
          	<?php 
			if ($_SESSION['filtrocliente']<>"" AND $filtropagada<>"") { ?>
		<tr style="border-top:1px solid #999;">
            <td colspan="11" style="text-align:right"><a href="#" onclick="cargando(); document.forms.facturacion.submit();" title="continuar"><img src="iconos/transferir16.png" /></a></td>
        </tr>
            <?php } ?>
	</tbody>
    </table>
</form>
</div>
</body>
</html>